-- libraries :
Object = require 'libraries/classic'
Timer = require 'libraries/timer'
Util = require 'libraries/util'
json = require 'libraries/json'

require 'objects/player'
require 'objects/stage'
require 'objects/block'

function love.load()
  gravity = {x=0,y=2000}
  stage = Stage(32,gravity,true,'maps/map1.json')

  player1 = Player('sprites/player1.png',100,100,200,stage)
  player1:setControl({left='a',right='d',jump='w'})

  player2 = Player('sprites/player2.png',100,150,200,stage)
  player2:setControl({left='left',right='right',jump='up'})
end

function love.update(dt)
  stage:update(dt)
end

function love.draw()
  stage:draw()
end